For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all charge codes
        • GETGet a charge code by ID
        • GETGet all resident charges
        • GETGet a resident charge by ID
        • GETGet all resident payments
        • GETGet a resident payment by ID
        • GETGet all fees
        • GETGet fee by ID
        • POSTCreate Resident Charge: ResMan
        • POSTCreate Resident Payment: ResMan
        • POSTBatch Create Resident Charges: ResMan
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
ResManBilling and Payments

Get a charge code by ID

GET
/v1/charge-codes/:charge_code_id
GET
/v1/charge-codes/:charge_code_id
$curl https://api.propexo.com/v1/charge-codes/charge_code_id \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
1{
2 "meta": {
3 "orderBy": [
4 {
5 "field": "created_at",
6 "direction": "desc"
7 }
8 ],
9 "offset": 0,
10 "limit": 100,
11 "hasMore": true,
12 "total": 1000
13 },
14 "results": {
15 "id": "clwktsp9v000008l31iv218hn",
16 "created_at": "2024-03-21T15:38:08.337Z",
17 "updated_at": "2024-03-22T10:59:45.119Z",
18 "last_seen": "2024-03-22T10:59:45.119Z",
19 "x_id": "RM-CHG-1001",
20 "x_property_id": "RM-PROP-2002",
21 "x_location_id": null,
22 "debit_gl_account": "6100",
23 "credit_gl_account": "4000",
24 "name": "Late Fee",
25 "description": "Charge applied for late rent payment",
26 "custom_data": {},
27 "property_id": "clwi5xiix000008l6ctdgafyh",
28 "integration_id": "clwh5u07w000508me66sfh3um",
29 "integration_vendor": "RESMAN"
30 }
31}
Get a charge code by ID
Was this page helpful?
Previous

Get all resident charges

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

charge_code_idstringRequired
The ID of the resource.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query

Response

Successful response
metaobject
resultsobject

Errors

400
Bad Request Error